package cn.com.infosec.jce.spec;

import cn.com.infosec.math.ec.ECCurve;
import cn.com.infosec.math.ec.ECPoint;
import java.math.BigInteger;

public class ECNamedCurveParameterSpec extends ECParameterSpec {
   private String name;

   public ECNamedCurveParameterSpec(String name, ECCurve curve, ECPoint G, BigInteger n) {
      super(curve, G, n);
      this.name = name;
   }

   public ECNamedCurveParameterSpec(String name, ECCurve curve, ECPoint G, BigInteger n, BigInteger h) {
      super(curve, G, n, h);
      this.name = name;
   }

   public ECNamedCurveParameterSpec(String name, ECCurve curve, ECPoint G, BigInteger n, BigInteger h, byte[] seed) {
      super(curve, G, n, h, seed);
      this.name = name;
   }

   public String getName() {
      return this.name;
   }
}
